version: "3.3"
services:
# ****************** servicios      
  api-viajes:
    image: registry.gitlab.com/mind-framework/public/gestor-remises/api-viajes:dev
    env_file:
      - ./env/api-common.env
    labels:
      - 'traefik.enable=true'
      - 'traefik.http.routers.secure.rule=Host(`api.example.com`)'
      - 'traefik.http.routers.secure.entrypoints=https'
      - 'traefik.http.routers.secure.tls=true'
      - 'traefik.http.routers.secure.tls.certresolver=letsencrypt'
      - 'traefik.http.routers.secure.middlewares=authelia@docker'
    expose: 
      - 80
    restart: always
  web-viajes:
    image: registry.gitlab.com/mind-framework/public/gestor-remises/web-viajes:dev
    labels:
      - 'traefik.enable=true'
      - 'traefik.http.routers.secure.rule=Host(`viajes.example.com`)'
      - 'traefik.http.routers.secure.entrypoints=https'
      - 'traefik.http.routers.secure.tls=true'
      - 'traefik.http.routers.secure.tls.certresolver=letsencrypt'
      - 'traefik.http.routers.secure.middlewares=authelia@docker'
    restart: always
    expose: 
      - 80
networks:
  default:
    driver: bridge
    #    external:
    #      name: ${NETWORK_NAME}
  

